/**
 * ScandiPWA - Progressive Web App for Magento
 *
 * Copyright © Scandiweb, Inc. All rights reserved.
 * See LICENSE for license details.
 *
 * @license OSL-3.0 (Open Software License ("OSL") v. 3.0)
 * @package scandipwa/base-theme
 * @link https://github.com/scandipwa/base-theme
 */

.ProductGallery {
    @include after-mobile {
        display: grid;
        max-height: 40rem;
        grid-template-columns: 150px 1fr;
        grid-gap: 1.5rem;
    }

    &-Additional {
        display: grid;
        grid-gap: 1.5rem;

        @include mobile {
            display: none;
        }
    }

    &-Slider {
        height: var(--slider-height);
        min-height: 40rem;

        @include mobile {
            min-height: 30rem;
        }

        &::after {
            @include after-mobile {
                width: 100%;
                height: 100%;
                position: absolute;
                top: 0;
                left: 0;
                box-shadow: inset 0 0 0 3px #fff;
                pointer-events: none;
                content: '';
            }
        }
    }

    .react-transform-component,
    .react-transform-element,
    .lazyload-wrapper,
    &-SliderImage {
        width: 100%;
        height: 100%;
    }

    .lazyload-wrapper {
        .LoaderPlaceholder {
            padding-bottom: 60%;
        }
    }

    &-Notice {
        color: var(--secondary-dark-color);
        font-size: 0.9rem;
        text-align: center;

        @include mobile {
            display: none;
        }
    }
}

.overscrollPrevented {
    overscroll-behavior: contain;
}
